import Vue from 'vue'
import App from './App.vue'
import router from './plugins/router'
import store from './plugins/store'
import vuetify from './plugins/vuetify'

import '@mdi/font/css/materialdesignicons.css'
import '@fortawesome/fontawesome-pro/css/all.css'

import './plugins/cookies'
import './plugins/compositionAPI'
import './plugins/base'

Vue.component('E403', () => import('./components/e403.vue'))
Vue.component('DateSelector', () => import('./components/DateSelector.vue'))
Vue.component('DateTimeSelector', () => import('./components/DateTimeSelector.vue'))
Vue.component('Confirm', () => import('./components/Confirm.vue'))

Vue.config.productionTip = false

new Vue({
  router,
  store,
  // @ts-ignore
  vuetify,
  render: h => h(App)
}).$mount('#app')
